from collections import namedtuple

# pojmenovaná n-tice s údaji o prvcích
Prvek = namedtuple('PrvekInfo', 'symbol Ar ord en els valency')

# seznam informací o prvcích
prvky = []

# načtení informací o prvcích z TXT-souboru
with open('prvky.txt') as soubor:
    for řádka in soubor:
        # načtení
        symbol, Ar, ord, en, els, valency = řádka.split(';')
        # čištění
        symbol = symbol.strip(' "')     # musíme se zbavit i počátečních mezer
        Ar = Ar.strip()
        ord = ord[8:].strip()
        en = en[7:].strip()
        els = els[8:].strip()
        valency = valency[12:].strip()  # odstraní i '\n' z konce
        # uložení vyčištěných dat do seznamu
        prvky.append(
            Prvek(symbol, Ar, ord, en, els, valency)
        )

# výpis pouze těch prvků, jejichž elektronegativita je > 2
# ~ prvky se stejnou elng dodatečně seřazené podle symbolu
for prvek in sorted(prvky, key=lambda atom: (-float(atom.en), atom.symbol)):
    if float(prvek.en) > 2:
        print(prvek)
